/*
 *   Copyright 2005 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.felix.eventadmin.impl.handler;

/**
 * The factory for <tt>EventHandler</tt> filters based on a certain topic.
 * 
 * @author <a href="mailto:felix-dev@incubator.apache.org">Felix Project Team</a>
 */
public interface TopicHandlerFilters
{
    /**
     * Create a filter that will match all <tt>EventHandler</tt> services that match
     * the given topic.
     * 
     * @param topic The topic to match
     * 
     * @return A filter that will match all <tt>EventHandler</tt> services for 
     *      the given topic.
     */
    public String createFilterForTopic(final String topic);
}
